Subject: Re: [PATCH v10 0/1] wfx: get out from the staging area

From: Kalle Valo <[email-masked]>
Date: Sat, 26 Feb 2022 12:41:41 +0200

+ jakub

Jerome Pouiller <[email-masked]> writes:

> The firmware and the PDS files (= antenna configurations) are now a part of
> the linux-firmware repository.
>
> All the issues have been fixed in staging tree. I think we are ready to get
> out from the staging tree for the kernel 5.18.

[...]

>  rename Documentation/devicetree/bindings/{staging => }/net/wireless/silabs,wfx.yaml (98%)

I lost track, is this file acked by the DT maintainers now?

What I suggest is that we queue this for v5.19. After v5.18-rc1 is
released I could create an immutable branch containing this one commit.
Then I would merge the branch to wireless-next and Greg could merge it
to the staging tree, that way we would minimise the chance of conflicts
between trees.

Greg, what do you think? Would this work for you? IIRC we did the same
with wilc1000 back in 2020 and I recall it went without hiccups.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches